Last Comment Bug 664925 - "ASSERTION: We shouldn't have another size than small and regular for the moment"
: "ASSERTION: We shouldn't have another size than small and regular for the mom...
Status: RESOLVED FIXED
: assertion, regression, testcase
Product: Core
Classification: Components
Component: Widget: Cocoa (show other bugs)
: Trunk
: All Mac OS X
: -- normal (vote)
: mozilla8
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on: 665571
Blocks: randomstyles stirtable
  Show dependency treegraph
 
Reported: 2011-06-16 22:42 PDT by Jesse Ruderman
Modified: 2011-07-11 07:29 PDT (History)
4 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (109 bytes, application/xhtml+xml)
2011-06-16 22:42 PDT, Jesse Ruderman
no flags Details
Patch v1 (2.32 KB, patch)
2011-06-20 09:44 PDT, Mounir Lamouri (:mounir)
mstange: review+
mounir: checkin-
Details | Diff | Splinter Review

Description Jesse Ruderman 2011-06-16 22:42:52 PDT
Created attachment 539992 [details]
testcase

###!!! ASSERTION: We shouldn't have another size than small and regular for the moment: 'size == NSSmallControlSize', file widget/src/cocoa/nsNativeThemeCocoa.mm, line 201

The assertion was added in bug 634551.
Comment 1 Mounir Lamouri (:mounir) 2011-06-20 09:44:18 PDT
Created attachment 540498 [details] [diff] [review]
Patch v1

The assert is correct and this patch should fix.
Though, a better fix should come with bug 665571.
Comment 3 Mounir Lamouri (:mounir) 2011-06-20 13:40:09 PDT
(In reply to comment #2)
> I backed it out because of reftest oranges on OS X:
> 
> http://hg.mozilla.org/integration/mozilla-inbound/rev/ea1856ff64d1
> http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1308595010.
> 1308596968.20417.gz

Interesting. It fails on the test I wrote and was passing locally... Yay \o/
Comment 4 Mounir Lamouri (:mounir) 2011-07-11 02:43:38 PDT
The assertion should have been fixed by bug 665571. Test pushed to m-i.
Comment 5 Mounir Lamouri (:mounir) 2011-07-11 07:29:46 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/ec99f33d4f76

Note You need to log in before you can comment on or make changes to this bug.